<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrIndividualBusinessAbnormalityMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrIndividualBusinessAbnormality">
            <id property="xhCodeId" column="xh_code_id" jdbcType="BIGINT"/>
            <result property="busexclist" column="BUSEXCLIST" jdbcType="VARCHAR"/>
            <result property="pripid" column="PRIPID" jdbcType="VARCHAR"/>
            <result property="entname" column="ENTNAME" jdbcType="VARCHAR"/>
            <result property="uniscid" column="UNISCID" jdbcType="VARCHAR"/>
            <result property="regno" column="REGNO" jdbcType="VARCHAR"/>
            <result property="lerep" column="LEREP" jdbcType="VARCHAR"/>
            <result property="certype" column="CERTYPE" jdbcType="VARCHAR"/>
            <result property="cerno" column="CERNO" jdbcType="VARCHAR"/>
            <result property="excpstares" column="EXCPSTARES" jdbcType="VARCHAR"/>
            <result property="excpstaresCn" column="EXCPSTARES_CN" jdbcType="VARCHAR"/>
            <result property="cogdate" column="COGDATE" jdbcType="DATE"/>
            <result property="decorg" column="DECORG" jdbcType="VARCHAR"/>
            <result property="decorgCn" column="DECORG_CN" jdbcType="VARCHAR"/>
            <result property="isrecovery" column="ISRECOVERY" jdbcType="VARCHAR"/>
            <result property="norrea" column="NORREA" jdbcType="VARCHAR"/>
            <result property="norreaCn" column="NORREA_CN" jdbcType="VARCHAR"/>
            <result property="nordate" column="NORDATE" jdbcType="DATE"/>
            <result property="nordecorg" column="NORDECORG" jdbcType="VARCHAR"/>
            <result property="nordecorgCn" column="NORDECORG_CN" jdbcType="VARCHAR"/>
            <result property="sExtDatatime" column="S_EXT_DATATIME" jdbcType="TIMESTAMP"/>
            <result property="uniCode" column="uni_code" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        xh_code_id,BUSEXCLIST,PRIPID,
        ENTNAME,UNISCID,REGNO,
        LEREP,CERTYPE,CERNO,
        EXCPSTARES,EXCPSTARES_CN,COGDATE,
        DECORG,DECORG_CN,ISRECOVERY,
        NORREA,NORREA_CN,NORDATE,
        NORDECORG,NORDECORG_CN,S_EXT_DATATIME,
        uni_code
    </sql>
</mapper>
